import * as React from "react";
import { IntlProvider, FormattedMessage } from "react-intl";
import enMessages from "static/translations/en.po";
import { i18nLocale } from "src/Constants/I18nLocale";

const i18nMessages = Object.keys(enMessages || {})
    .reduce((result, key) => ({...result, [key]: enMessages[key][1]}), {});

export class App extends React.Component {
    public render(): JSX.Element {
        return (
            <IntlProvider locale={i18nLocale} messages={i18nMessages}>
                <div className="App">
                    <header className="App__header">
                        <img src="images/react.png" className="App__logo" alt="logo" />
                        <h1 className="App__title">
                            <FormattedMessage id="App-title"/>
                        </h1>
                    </header>
                    <p className="App__intro">
                        <FormattedMessage id="App-intro"
                                          values={{file: <code>src/App.tsx</code>}}/>
                    </p>
                </div>
            </IntlProvider>
        );
    }
}
